This URL creates a new VM group.
Resource URL
POST /vmgroup
Request Parameters
Payload Request Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Name of the VM group | string | Yes |
| Description of the VM group | string | Yes |
| Mode of inspection | string | Yes |
| Cluster ID | string | No |
| Protected objects for the VM group | object | Yes |
| Controller for the VM group | string | No |
Details of protectedObjects:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Type of protected object. The supported type is | string | Yes |
| Value of the protected object. For example, if the protected object is | string | Yes |
Response Parameters
Following fields are returned in the response.
Field Name | Description | Data Type |
|---|---|---|
| Indicates if the creation of VM group is successful. Value is set to Value is set to | string |
| Not applicable | Not applicable |
| Not applicable | Not applicable |
| Not applicable | Not applicable |
| Id of the newly created VM group | Not applicable |
Example
Request
Payload
{ "groupName": "vmgroupforupdate",
"description": "Updated group name",
"inspectionMode": "ips",
"clusterId": null,
"protectedObjects": [
{"type": "cidr", "value": "1.1.1.73/32"},
{"type": "cidr", "value": "1.1.1.78/32"}
],
"controllerId": null
}POST https://<NSM_IP>/intruvert/webservice/api/v1/cloud/vmgroup
Response
{
"success": true,
"msg": null,
"errMsg": null,
"domainName": null,
"data": 1
}